#include <stdlib.h>
#include "Global.h"

//parameter settings
char gszdata_filename[MAX_FILENAME_LEN];
int gntype;
int gnmin_sup;
int gnmin_size;
bool gbresult_name_given;
char gszresult_filename[MAX_FILENAME_LEN];


//some statistic information about the data
int gndb_size;
int gnmax_trans_len;
int gnmax_item_id;

//pattern statistics
int  gntotal_freqitems;
int	gnmax_pattern_len;
int gntotal_closed;
int gntotal_bipartite;

//time statistics
double gdtotal_running_time;

//space statistics
double gdused_mem_size;
double gdmax_used_mem_size;
int gntree_init_size;
int gntree_max_size;

//program running statistics
int gntotal_call;


int comp_int_asc(const void *e1, const void *e2)
{
	int n1, n2;
	n1 = *(int*) e1;
	n2 = *(int*) e2;

	if (n1>n2)
		return 1;
	else if (n1<n2)
		return -1;
	else
		return 0;
}


//global varibles
int *gpprefix_itemset;
int gnprefix_len;

int *gptransaction;
char *gpsort_trans_buf;
ITEM_COUNTER *gpdfs_item_counter;
int *gpdfs_item_suporder_map;
int *gpdfs_cofreqs;
int *gpdfs_pruned_items;
int *gpitem_sup_map;

int gnum_of_newfreqitems;


int *gpitem_order_map;
int gnfirstitem_order;
int gnfirstitem_pos;