#include "fsout.h"

FSout *gpfout;


FSout::FSout(char *filename)
{
  out = fopen(filename,"wt");
}

FSout::~FSout()
{
  if(out) fclose(out);
}

int FSout::isOpen()
{
  if(out) return 1;
  else return 0;
}

void FSout::printSet(int length, int *iset)
{
	int i;

	fprintf(out, "%d ", length);
	for(i=0; i<length; i++) 
		fprintf(out, "%d ", iset[i]);
	//fprintf(out, "; ");
	fprintf(out, "\n");

}

void FSout::printTidList(int support, int* ptid_list)
{
	int i; 

	fprintf(out, "%d ", support);
	if(ptid_list!=NULL)
	{
		for(i=0;i<support;i++)
			fprintf(out, "%d ", ptid_list[i]);
	}
	else
	{
		for(i=0;i<support;i++)
			fprintf(out, "%d ", i);
	}
	fprintf(out, "\n");	
}

