#pragma once 

#include <stdio.h>
#include "Global.h"
#include "FPtree.h"

class FSout
{
public:

	FSout(char *filename);
	~FSout();

	int isOpen();

	void printSet(int length, int *iset);
	void printTidList(int support, int *ptid_list);

private:

	FILE *out;
};

extern FSout *gpfout;

inline void OutputOneClosedPat(int nsupport, int* ptid_list)
{
	gntotal_closed++;
	if(gnmax_pattern_len<gnprefix_len)
		gnmax_pattern_len = gnprefix_len;

	if(gnprefix_len<gnmin_size || nsupport<gnmin_sup)
		return;

	gntotal_bipartite++;

	if(gbresult_name_given)
	{
		gpfout->printSet(gnprefix_len, gpprefix_itemset);
		gpfout->printTidList(nsupport, ptid_list);
	}
}

